## GoaExchange GoaExchange — Generated C code for the org.gnome.OnlineAccounts.Exchange D-Bus interface |

## Functions

GDBusInterfaceInfo * | goa_exchange_interface_info ()
gboolean | goa_exchange_get_accept_ssl_errors ()
void | goa_exchange_set_accept_ssl_errors ()
const gchar * | goa_exchange_get_host ()
gchar * | goa_exchange_dup_host ()
void | goa_exchange_set_host ()
guint | goa_exchange_override_properties ()
void | goa_exchange_proxy_new ()
GoaExchange * | goa_exchange_proxy_new_finish ()
GoaExchange * | goa_exchange_proxy_new_sync ()
void | goa_exchange_proxy_new_for_bus ()
GoaExchange * | goa_exchange_proxy_new_for_bus_finish ()
GoaExchange * | goa_exchange_proxy_new_for_bus_sync ()
GoaExchange * | goa_exchange_skeleton_new ()

## Properties

gboolean | accept-ssl-errors | Read / Write
gchar * | host | Read / Write

## Types and Values

| GoaExchange
struct | GoaExchangeIface
struct | GoaExchangeProxy
struct | GoaExchangeProxyClass
struct | GoaExchangeSkeleton
struct | GoaExchangeSkeletonClass

## Object Hierarchy

        GInterface
        ╰── GoaExchange
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── GoaExchangeSkeleton
        ╰── GDBusProxy
            ╰── GoaExchangeProxy

## Prerequisites

GoaExchange requires GObject.

## Implemented Interfaces

GoaExchangeProxy implements GDBusInterface, GInitable, GAsyncInitable and GoaExchange.

GoaExchangeSkeleton implements GDBusInterface and GoaExchange.

## Known Implementations

GoaExchange is implemented by GoaExchangeProxy and GoaExchangeSkeleton.

## Description

This section contains code for working with the org.gnome.OnlineAccounts.Exchange D-Bus interface in C.

## Functions

### goa_exchange_interface_info ()

    GDBusInterfaceInfo *
    goa_exchange_interface_info (void);

Gets a machine-readable description of the org.gnome.OnlineAccounts.Exchange D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

Since: 3.6.0

### goa_exchange_get_accept_ssl_errors ()

    gboolean
    goa_exchange_get_accept_ssl_errors (GoaExchange *object);

Gets the value of the "AcceptSslErrors" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaExchange. |

#### Returns

The property value.

Since: 3.8.0

### goa_exchange_set_accept_ssl_errors ()

    void
    goa_exchange_set_accept_ssl_errors (GoaExchange *object,
                                        gboolean value);

Sets the "AcceptSslErrors" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaExchange. |
value | The value to set. |

Since: 3.8.0

### goa_exchange_get_host ()

    const gchar *
    goa_exchange_get_host (GoaExchange *object);

Gets the value of the "Host" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `goa_exchange_dup_host()` if on another thread.

[skip]

#### Parameters

object | A GoaExchange. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none]

Since: 3.6.0

### goa_exchange_dup_host ()

    gchar *
    goa_exchange_dup_host (GoaExchange *object);

Gets a copy of the "Host" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaExchange. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full]

Since: 3.6.0

### goa_exchange_set_host ()

    void
    goa_exchange_set_host (GoaExchange *object,
                           const gchar *value);

Sets the "Host" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaExchange. |
value | The value to set. |

Since: 3.6.0

### goa_exchange_override_properties ()

    guint
    goa_exchange_override_properties (GObjectClass *klass,
                                      guint property_id_begin);

Overrides all GObject properties in the GoaExchange interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject-derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

Since: 3.6.0

### goa_exchange_proxy_new ()

    void
    goa_exchange_proxy_new (GDBusConnection *connection,
                            GDBusProxyFlags flags,
                            const gchar *name,
                            const gchar *object_path,
                            GCancellable *cancellable,
                            GAsyncReadyCallback callback,
                            gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.OnlineAccounts.Exchange. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `goa_exchange_proxy_new_finish()` to get the result of the operation.

See `goa_exchange_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 3.6.0

### goa_exchange_proxy_new_finish ()

    GoaExchange *
    goa_exchange_proxy_new_finish (GAsyncResult *res,
                                   GError **error);

Finishes an operation started with `goa_exchange_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `goa_exchange_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaExchangeProxy]

Since: 3.6.0

### goa_exchange_proxy_new_sync ()

    GoaExchange *
    goa_exchange_proxy_new_sync (GDBusConnection *connection,
                                 GDBusProxyFlags flags,
                                 const gchar *name,
                                 const gchar *object_path,
                                 GCancellable *cancellable,
                                 GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.OnlineAccounts.Exchange. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `goa_exchange_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaExchangeProxy]

Since: 3.6.0

### goa_exchange_proxy_new_for_bus ()

    void
    goa_exchange_proxy_new_for_bus (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `goa_exchange_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `goa_exchange_proxy_new_for_bus_finish()` to get the result of the operation.

See `goa_exchange_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 3.6.0

### goa_exchange_proxy_new_for_bus_finish ()

    GoaExchange *
    goa_exchange_proxy_new_for_bus_finish (GAsyncResult *res,
                                           GError **error);

Finishes an operation started with `goa_exchange_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `goa_exchange_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaExchangeProxy]

Since: 3.6.0

### goa_exchange_proxy_new_for_bus_sync ()

    GoaExchange *
    goa_exchange_proxy_new_for_bus_sync (GBusType bus_type,
                                         GDBusProxyFlags flags,
                                         const gchar *name,
                                         const gchar *object_path,
                                         GCancellable *cancellable,
                                         GError **error);

Like `goa_exchange_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `goa_exchange_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaExchangeProxy]

Since: 3.6.0

### goa_exchange_skeleton_new ()

    GoaExchange *
    goa_exchange_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.gnome.OnlineAccounts.Exchange.

#### Returns

The skeleton object.

[transfer full][type GoaExchangeSkeleton]

Since: 3.6.0

## Types and Values

### GoaExchange

    typedef struct _GoaExchange GoaExchange;

Abstract interface type for the D-Bus interface org.gnome.OnlineAccounts.Exchange.

Since: 3.6.0

### struct GoaExchangeIface

    struct GoaExchangeIface {
      GTypeInterface parent_iface;

      const gchar * (*get_host) (GoaExchange *object);

      gboolean  (*get_accept_ssl_errors) (GoaExchange *object);
    };

Virtual table for the D-Bus interface org.gnome.OnlineAccounts.Exchange.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`get_host` () | Getter for the “host” property. |
`get_accept_ssl_errors` () | Getter for the “accept-ssl-errors” property. |

Since: 3.6.0

### struct GoaExchangeProxy

    struct GoaExchangeProxy;

The GoaExchangeProxy structure contains only private data and should only be accessed using the provided API.

Since: 3.6.0

### struct GoaExchangeProxyClass

    struct GoaExchangeProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for GoaExchangeProxy.

#### Members

Since: 3.6.0

### struct GoaExchangeSkeleton

    struct GoaExchangeSkeleton;

The GoaExchangeSkeleton structure contains only private data and should only be accessed using the provided API.

Since: 3.6.0

### struct GoaExchangeSkeletonClass

    struct GoaExchangeSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for GoaExchangeSkeleton.

#### Members

Since: 3.6.0

## Property Details

### The `“accept-ssl-errors”` property

      “accept-ssl-errors”        gboolean

Represents the D-Bus property "AcceptSslErrors".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: FALSE

Since: 3.8.0

### The `“host”` property

      “host”                     gchar *

Represents the D-Bus property "Host".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: NULL

Since: 3.6.0